<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="fcb8ed9d-35b0-4cfc-be97-eb3b9ddd04e5" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/.gradle/" />
    <ignored path="$PROJECT_DIR$/build/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="testRunner" value="GRADLE" />
    <option name="delegatedBuild" value="true" />
    <option name="isMigrated" value="true" />
  </component>
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/build.gradle">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="240">
              <caret line="14" column="37" selection-start-line="14" selection-start-column="37" selection-end-line="14" selection-end-column="37" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/test/java/custis/web/Login.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="365">
              <caret line="22" column="42" lean-forward="true" selection-start-line="22" selection-start-column="42" selection-end-line="22" selection-end-column="42" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/custis/LoginPage.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-572">
              <caret line="10" column="4" selection-start-line="10" selection-start-column="4" selection-end-line="11" selection-end-column="34" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/custis/web/AbstractSeleniumTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="305">
              <caret line="18" column="11" lean-forward="true" selection-start-line="18" selection-start-column="11" selection-end-line="18" selection-end-column="11" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#652#653#0" expanded="true" />
                <element signature="e#681#682#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/custis/web/Dashboard.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="44">
              <caret line="2" column="24" lean-forward="true" selection-start-line="2" selection-start-column="24" selection-end-line="2" selection-end-column="24" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/test/java/custis/web/FirstTest.java" />
        <option value="$PROJECT_DIR$/build.gradle" />
        <option value="$PROJECT_DIR$/src/test/java/custis/web/AbstractSeleniumTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/custis/LoginPage.java" />
        <option value="$PROJECT_DIR$/src/test/java/custis/web/Login.java" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1382" />
    <option name="height" value="744" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="cst4" type="b2602c69:ProjectViewProjectNode" />
              <item name="cst4" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="cst4" type="b2602c69:ProjectViewProjectNode" />
              <item name="cst4" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cst4" type="b2602c69:ProjectViewProjectNode" />
              <item name="cst4" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="cst4" type="b2602c69:ProjectViewProjectNode" />
              <item name="cst4" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cst4" type="b2602c69:ProjectViewProjectNode" />
              <item name="cst4" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="custis" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cst4" type="b2602c69:ProjectViewProjectNode" />
              <item name="cst4" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
            </path>
            <path>
              <item name="cst4" type="b2602c69:ProjectViewProjectNode" />
              <item name="cst4" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="cst4" type="b2602c69:ProjectViewProjectNode" />
              <item name="cst4" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="8a07ba80:GradleTreeStructureProvider$GradleModuleDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="web" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="extract.method.default.visibility" value="private" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Gradle.Login.loginWithoutCredentials">
    <configuration name="FirstTest.firstTest" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" value="--tests &quot;custis.web.FirstTest.firstTest&quot;" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value=":cleanTest" />
            <option value=":test" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>false</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <configuration name="Login.loginWithoutCredentials" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" value="--tests &quot;custis.web.Login.loginWithoutCredentials&quot;" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value=":cleanTest" />
            <option value=":test" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>false</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <configuration name="Login.tryToLoginWithCorrectLoginAndEmptyPassword" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" value="--tests &quot;custis.web.Login.tryToLoginWithCorrectLoginAndEmptyPassword&quot;" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value=":cleanTest" />
            <option value=":test" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>false</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <configuration name="Login.tryToLoginWithCorrectLoginAndInvalidPassword" type="GradleRunConfiguration" factoryName="Gradle" temporary="true">
      <ExternalSystemSettings>
        <option name="executionName" />
        <option name="externalProjectPath" value="$PROJECT_DIR$" />
        <option name="externalSystemIdString" value="GRADLE" />
        <option name="scriptParameters" value="--tests &quot;custis.web.Login.tryToLoginWithCorrectLoginAndInvalidPassword&quot;" />
        <option name="taskDescriptions">
          <list />
        </option>
        <option name="taskNames">
          <list>
            <option value=":cleanTest" />
            <option value=":test" />
          </list>
        </option>
        <option name="vmOptions" />
      </ExternalSystemSettings>
      <GradleScriptDebugEnabled>false</GradleScriptDebugEnabled>
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Gradle.Login.loginWithoutCredentials" />
        <item itemvalue="Gradle.Login.tryToLoginWithCorrectLoginAndInvalidPassword" />
        <item itemvalue="Gradle.Login.tryToLoginWithCorrectLoginAndEmptyPassword" />
        <item itemvalue="Gradle.FirstTest.firstTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="fcb8ed9d-35b0-4cfc-be97-eb3b9ddd04e5" name="Default Changelist" comment="" />
      <created>1585243149051</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1585243149051</updated>
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="FirstTest_firstTest - 2020.03.26 at 19h 44m 59s.xml">
      <configuration name="FirstTest.firstTest" configurationId="GradleRunConfiguration" />
    </history-entry>
    <history-entry file="FirstTest_firstTest - 2020.03.26 at 20h 05m 41s.xml">
      <configuration name="FirstTest.firstTest" configurationId="GradleRunConfiguration" />
    </history-entry>
    <history-entry file="Login_tryToLoginWithCorrectLoginAndEmptyPassword - 2020.03.26 at 20h 06m 15s.xml">
      <configuration name="Login.tryToLoginWithCorrectLoginAndEmptyPassword" configurationId="GradleRunConfiguration" />
    </history-entry>
    <history-entry file="Login_tryToLoginWithCorrectLoginAndEmptyPassword - 2020.03.26 at 20h 06m 39s.xml">
      <configuration name="Login.tryToLoginWithCorrectLoginAndEmptyPassword" configurationId="GradleRunConfiguration" />
    </history-entry>
    <history-entry file="Login_tryToLoginWithCorrectLoginAndEmptyPassword - 2020.03.26 at 20h 07m 02s.xml">
      <configuration name="Login.tryToLoginWithCorrectLoginAndEmptyPassword" configurationId="GradleRunConfiguration" />
    </history-entry>
    <history-entry file="Login_tryToLoginWithCorrectLoginAndEmptyPassword - 2020.03.26 at 20h 07m 20s.xml">
      <configuration name="Login.tryToLoginWithCorrectLoginAndEmptyPassword" configurationId="GradleRunConfiguration" />
    </history-entry>
    <history-entry file="Login_tryToLoginWithCorrectLoginAndEmptyPassword - 2020.03.26 at 20h 07m 43s.xml">
      <configuration name="Login.tryToLoginWithCorrectLoginAndEmptyPassword" configurationId="GradleRunConfiguration" />
    </history-entry>
    <history-entry file="Login_tryToLoginWithCorrectLoginAndInvalidPassword - 2020.03.26 at 20h 11m 19s.xml">
      <configuration name="Login.tryToLoginWithCorrectLoginAndInvalidPassword" configurationId="GradleRunConfiguration" />
    </history-entry>
    <history-entry file="Login_tryToLoginWithCorrectLoginAndInvalidPassword - 2020.03.26 at 20h 11m 56s.xml">
      <configuration name="Login.tryToLoginWithCorrectLoginAndInvalidPassword" configurationId="GradleRunConfiguration" />
    </history-entry>
    <history-entry file="Login_loginWithoutCredentials - 2020.03.26 at 20h 16m 33s.xml">
      <configuration name="Login.loginWithoutCredentials" configurationId="GradleRunConfiguration" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Image Layers" />
      <window_info id="Designer" />
      <window_info id="UI Designer" />
      <window_info id="Capture Tool" />
      <window_info id="Favorites" side_tool="true" />
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.23903178" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Version Control" />
      <window_info anchor="bottom" id="Terminal" />
      <window_info anchor="bottom" id="Event Log" side_tool="true" />
      <window_info anchor="bottom" id="Build" weight="0.2618658" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.17839608" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="right" id="Palette" />
      <window_info anchor="right" id="Gradle" />
      <window_info anchor="right" id="Theme Preview" />
      <window_info anchor="right" id="Maven" />
      <window_info anchor="right" id="Capture Analysis" />
      <window_info anchor="right" id="Palette&#9;" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/build.gradle">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="14" column="37" selection-start-line="14" selection-start-column="37" selection-end-line="14" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/custis/web/Dashboard.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="2" column="24" lean-forward="true" selection-start-line="2" selection-start-column="24" selection-end-line="2" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/custis/web/AbstractSeleniumTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="305">
          <caret line="18" column="11" lean-forward="true" selection-start-line="18" selection-start-column="11" selection-end-line="18" selection-end-column="11" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#652#653#0" expanded="true" />
            <element signature="e#681#682#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/custis/LoginPage.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-572">
          <caret line="10" column="4" selection-start-line="10" selection-start-column="4" selection-end-line="11" selection-end-column="34" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/custis/web/Login.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="365">
          <caret line="22" column="42" lean-forward="true" selection-start-line="22" selection-start-column="42" selection-end-line="22" selection-end-column="42" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>